Retrieve OAuth device code
Retrieves an OAuth device code for device-based authentication.
Retrieves an OAuth device code for device-based authentication.
apikey<token>
Tenant API Key for authentication
In: query
Path Parameters
OAuthAppName*string
OAuth App Name
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://TenantName.hub.loginradius.com/api/oauth/example_oauth_app/device" \ -H "Content-Type: application/json" \ -d '{ "client_id": "68106262-3938-4435-87ed-3e410b360209" }'{
"device_code": "device_code",
"expires_in": 1800,
"interval": 5,
"user_code": "user_code",
"verification_uri": "https://example.com/device/verification",
"verification_uri_complete": "https://example.com/device/verification?user_code=user_code"
}{
"error": "invalid_request",
"error_description": "The client_id is a required parameter."
}{
"error": "invalid_client",
"error_description": "The client_id is not valid, check your client_id again."
}{
"error": "unauthorized_client",
"error_description": "The OAuth configuration not found."
}Authorization
Authorization guidance for Single Sign-On API operations, including API key, client ID, access tokens, bearer tokens, and protocol-specific differences.
Introspect OAuth token POST
Returns the active state and metadata of an OAuth access token (RFC 7662). Client must authenticate with client_id and client_secret (POST body or Basic). Invalid or expired tokens return active false.